[ 
https://issues.apache.org/jira/browse/ZOOKEEPER-913?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Patrick Hunt updated ZOOKEEPER-913:
-----------------------------------

    Fix Version/s: 3.4.0
         Assignee: Anthony Urso

I like the "version" patch better. However it should be made more general.

We've had problems with this before. We should parse X.Y.Zblah where anything 
after Z (Z expected to be a number) gets put into some additional field 
("extension"?). 

> Version parser fails to parse "3.3.2-dev" from build.xml.
> ---------------------------------------------------------
>
>                 Key: ZOOKEEPER-913
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-913
>             Project: Zookeeper
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 3.3.1
>            Reporter: Anthony Urso
>            Assignee: Anthony Urso
>            Priority: Critical
>             Fix For: 3.4.0
>
>         Attachments: zk-build.patch, zk-version.patch
>
>
> Cannot build 3.3.1 from release tarball do to VerGen parser inability to 
> parse "3.3.2-dev".
> version-info:
>      [java] All version-related parameters must be valid integers!
>      [java] Exception in thread "main" java.lang.NumberFormatException: For 
> input string: "2-dev"
>      [java]   at 
> java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
>      [java]   at java.lang.Integer.parseInt(Integer.java:481)
>      [java]   at java.lang.Integer.parseInt(Integer.java:514)
>      [java]   at 
> org.apache.zookeeper.version.util.VerGen.main(VerGen.java:131)
>      [java] Java Result: 1

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply via email to